package com.ss.android.ugc.aweme.discover.model;

import X.0Bt;
import X.0Gf;
import X.0Gp;
import X.1Bn;
import X.9EH;
import X.M12;
import androidx.lifecycle.LiveData;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.discover.api.SearchApi;

public final class SearchEffectListViewModel extends 0Bt {
    public final 1Bn<SearchEffectPropsList> mData = new 1Bn<>();

    static {
        Covode.recordClassIndex(65180);
    }

    public final LiveData<SearchEffectPropsList> getData() {
        return this.mData;
    }

    public final void fetch(String str, String str2, int i, int i2, String str3) {
        String str4 = str2;
        String str5 = str;
        String str6 = str3;
        M12.LIZ(str5, str4);
        SearchApi searchApi = SearchApi.LIZIZ;
        M12.LIZ(str5, str4);
        SearchApi.RealApi LIZ = searchApi.LIZ();
        int i3 = 9EH.LJIILJJIL;
        if (str6 == null) {
            str6 = "";
        }
        LIZ.searchEffectList(str5, str4, "search_tab", i, i2, i3, str6).LIZ(new SearchEffectListViewModel$fetch$1(this), 0Gp.LIZIZ, (0Gf) null);
    }
}
